# Update flags on a work order **PUT /eTech/rest/ws/diagnostic/v1/workOrders/code:{workOrderCode}/flags** Replaces the full set of flags on a work order identified by its **business code**. The work order can be at any status. The provided list fully overrides the existing flags; an empty array clears all flags. Rate limit range : High ## Servers - The node of your Praxedo instance (eu1, am1...).: https://ws-eu1.praxedo.com (The node of your Praxedo instance (eu1, am1...).) ## Authentication methods - Bearer authentication ## Parameters ### Path parameters - **workOrderCode** (string) Business code of the work order. Case insensitive. ### Body: application/json (object) - **flags** (object) Wrapper object for the set of flags to apply. The flag codes are provided in the `ids` array. ## Responses ### 204 Flags updated. ### 400 Bad Request - validation errors. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 401 Unauthorized - authentication issue. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 403 Forbidden - not enough rights. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 429 Too Many Requests. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 500 Internal server error. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. [Powered by Bump.sh](https://bump.sh)